"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'sktorrent',
    name: 'SkTorrent',
    description: 'SkTorrent is a CZECH/SLOVAK Semi-Private Torrent Tracker for MOVIES / TV / GENERAL',
    language: 'cs-CZ',
    type: 'semi-private',
    encoding: 'WINDOWS-1250',
    links: ['https://sktorrent.eu/'],
    legacylinks: ['http://sktorrent.eu/torrent/', 'http://sktorrent.eu/'],
    caps: {
        categorymappings: [
            { id: '9', cat: 'XXX', desc: 'xXx' },
            { id: '23', cat: 'Books', desc: 'Knihy a Časopisy' },
            { id: '25', cat: 'Other', desc: 'Ostatní' },
            { id: '5', cat: 'Movies', desc: 'Filmy Kreslené' },
            { id: '1', cat: 'Movies', desc: 'Filmy CZ/SK dabing' },
            { id: '14', cat: 'Movies/Other', desc: 'Filmy Kamera' },
            { id: '15', cat: 'Movies', desc: 'Filmy s titulkama' },
            { id: '20', cat: 'Movies/DVD', desc: 'Filmy DVD' },
            { id: '31', cat: 'Movies', desc: 'Filmy bez titulků' },
            { id: '3', cat: 'Movies/3D', desc: 'Filmy 3D' },
            { id: '19', cat: 'Movies/HD', desc: 'Filmy HD' },
            { id: '28', cat: 'Movies/BluRay', desc: 'Filmy Blu-ray' },
            { id: '29', cat: 'Movies/3D', desc: 'Filmy 3D Blu-ray' },
            { id: '43', cat: 'Movies/UHD', desc: 'Filmy UHD' },
            { id: '18', cat: 'PC/Games', desc: 'Hry na Windows' },
            { id: '30', cat: 'PC/Games', desc: 'Hry na Konzole' },
            { id: '37', cat: 'PC/Games', desc: 'Hry na Linux' },
            { id: '59', cat: 'PC/Games', desc: 'Hry na Mac' },
            { id: '16', cat: 'TV', desc: 'TV Seriály' },
            { id: '17', cat: 'TV/Documentary', desc: 'TV Dokument' },
            { id: '42', cat: 'TV', desc: 'TV Pořad' },
            { id: '44', cat: 'TV/Sport', desc: 'TV Sport' },
            { id: '2', cat: 'Audio', desc: 'Hudba' },
            { id: '22', cat: 'Audio', desc: "Hudba DJ's Mix" },
            { id: '24', cat: 'Audio', desc: 'Mluvené slovo' },
            { id: '26', cat: 'Audio/Video', desc: 'Hudební videa' },
            { id: '45', cat: 'Audio', desc: 'Soundtrack' },
            { id: '21', cat: 'PC', desc: 'Programy' },
            { id: '27', cat: 'PC/Phone-Other', desc: 'Mobil, PDA' },
            { id: '58', cat: 'Other', desc: 'Neschválené' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
            'music-search': ['q'],
            'book-search': ['q'],
        },
    },
    login: {
        path: 'torrent/login.php',
        method: 'form',
        form: 'form[action^="login.php?returnto=index.php"]',
        inputs: {
            uid: '{{ .Config.username }}',
            pwd: '{{ .Config.password }}',
        },
        error: [{ selector: 'font:contains("Incorrect")' }],
        test: { path: 'torrent/index.php' },
    },
    search: {
        paths: [{ path: 'torrent/torrents.php' }],
        inputs: {
            search: '{{ .Keywords }}',
            category: '{{ range .Categories }}{{.}};{{end}}',
            active: 0,
        },
        keywordsfilters: [{ name: 'diacritics', args: 'replace' }],
        rows: {
            selector: 'table.lista > tbody > tr > td > table.lista > tbody > tr:has(a[href^="details.php?id="])',
        },
        fields: {
            title: {
                selector: 'td.lista a[href^="details.php?id="]',
                attribute: 'title',
                filters: [
                    { name: 're_replace', args: ['.*? / ', ''] },
                    { name: 'diacritics', args: 'replace' },
                    { name: 'replace', args: ['serie', ''] },
                    { name: 'replace', args: ['Serie', ''] },
                    { name: 're_replace', args: ['(\\d{2})\\.', 'S$1'] },
                    { name: 're_replace', args: ['(\\d{1})\\.', 'S0$1'] },
                ],
            },
            category: {
                selector: 'td:nth-child(1) a[href^="torrents.php?category="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'category' }],
            },
            details: {
                selector: 'td.lista a[href^="details.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'td.lista a[href^="download.php?id="]',
                attribute: 'href',
            },
            size: {
                selector: 'td:nth-child(3)',
                filters: [
                    { name: 'split', args: ['|', 0] },
                    { name: 'regexp', args: 'Velkost (.+?) ?$' },
                ],
            },
            date: {
                selector: 'td:nth-child(3)',
                filters: [
                    { name: 'split', args: ['|', 1] },
                    { name: 'replace', args: ['Pridany ', ''] },
                    { name: 'replace', args: ['o ', ''] },
                    { name: 'append', args: ' +00:00' },
                    { name: 'dateparse', args: '02/01/2006 15:04 -07:00' },
                ],
            },
            seeders: { selector: 'td:nth-child(5) > a' },
            leechers: { selector: 'td:nth-child(6) > a' },
            grabs: {
                selector: 'td:nth-child(7)',
                filters: [{ name: 'replace', args: ['---', '0'] }],
            },
            downloadvolumefactor: { text: 1 },
            uploadvolumefactor: { text: 1 },
            minimumratio: { text: 0.51 },
        },
    },
    source: 'jackett',
};
